Loading...
Searching...
No Matches
array.h File Reference
`#include "platform.h"`
`#include "algorithm.h"`
`#include "error_handler.h"`
`#include "exception.h"`
`#include "iterator.h"`
`#include "parameter_type.h"`
`#include "static_assert.h"`
`#include "type_traits.h"`
`#include <stddef.h>`

Go to the source code of this file.

## Classes

class | etl::array_exception
class | etl::array_out_of_range
class | etl::array< T, SIZE_ >
class | etl::array< T, 0 >

## Namespaces

namespace | etl

## Functions

template<typename T, const size_t SIZE>
void | etl::swap (etl::array< T, SIZE > &lhs, etl::array< T, SIZE > &rhs)
| Template deduction guides.
template<typename T, size_t SIZE>
ETL_CONSTEXPR14 bool | etl::operator== (const etl::array< T, SIZE > &lhs, const etl::array< T, SIZE > &rhs)
template<typename T, size_t SIZE>
ETL_CONSTEXPR14 bool | etl::operator!= (const etl::array< T, SIZE > &lhs, const etl::array< T, SIZE > &rhs)
template<typename T, size_t SIZE>
bool | etl::operator< (const etl::array< T, SIZE > &lhs, const etl::array< T, SIZE > &rhs)
template<typename T, size_t SIZE>
bool | etl::operator<= (const etl::array< T, SIZE > &lhs, const etl::array< T, SIZE > &rhs)
template<typename T, size_t SIZE>
bool | etl::operator> (const etl::array< T, SIZE > &lhs, const etl::array< T, SIZE > &rhs)
template<typename T, size_t SIZE>
bool | etl::operator>= (const etl::array< T, SIZE > &lhs, const etl::array< T, SIZE > &rhs)
template<size_t Index, typename T, size_t Size>
T & | etl::get (array< T, Size > &a)
template<size_t Index, typename T, size_t Size>
const T & | etl::get (const array< T, Size > &a)

## Variables

template<typename T, size_t SIZE_>
ETL_CONSTANT size_t | etl::array< T, SIZE_ >::SIZE